Перейти из форума на сайт.

НовостиФайловые архивы
ПоискАктивные темыТоп лист
ПравилаКто в on-line?
Вход Забыли пароль? Первый раз на этом сайте? Регистрация
Компьютерный форум Ru.Board » Компьютеры » Программы » MPlayer | MPlayer2 | MPV | MEncoder

Модерирует : gyra, Maz

 Версия для печати • ПодписатьсяДобавить в закладки
Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76

Открыть новую тему     Написать ответ в эту тему

Nuck



Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Медиаплеер с открытым исходным кодом, относящийся к свободному программному обеспечению. Поддерживает более чем 192 видео и 85 аудио форматов. Работает на большинстве современных операционных систем (Linux, Windows, Mac OS X, FreeBSD и т.п.), изначально разрабатывался для Linux. Поддерживает разнообразные устройства вывода изображения, такие как DirectX, VESA, SDL, X11, Quartz Compositor, включая такое своеобразное устройство вывода как ASCII-арт, то есть имеется возможность смотреть видео в текстовом режиме. Большинство аудио и видео форматов поддерживаются родной для MPlayer свободной библиотекой libavcodec, использующей код проекта FFmpeg, которой вполне достаточно для проигрывания DVD дисков и многих XviD/DivX файлов, однако некоторые файлы в проприетарном формате могут потребовать внешних DLL библиотек, поддержка которых также предусмотрена.
Официально последние версии MPlayer доступны только в виде исходников, поэтому рекомендуется пользоваться неофициальными сборками от сторонних авторов, либо самому компилировать файлы плеера из исходников. Поскольку плеер является консольным (не имеет графического интерфейса), для комфортной работы с ним также понадобится какая-нибудь графическая оболочка (GUI), а для поддержки дополнительных форматов необходимо будет установить пакет бинарных кодеков.
MPlayer for Windows - универсальная сборка от LoRd MuldeR. Включает последние билды MPlayer от Gianluigi Tiesi, оптимизированные для различных CPU, две самых популярных графических оболочки SMPlayer и MPUI и пакет бинарных кодеков (в полной версии). Обновляется, по крайней мере, раз в месяц, включает автозагрузку. Упрощенная сборка содержит только MPlayer и MPUI.
Новичкам дальше читать необязательно (а то опухнуть можно, если увлечься).

Другие сборки: Gianluigi Tiesi, william0wang, BakLAN, другие
 
Графические оболочки для MPlayer: SMPlayer, MPUI, MPUI-hcb, MPlayerGUI, MPF, rulesPlayer, Kliper, другие
 
Графические оболочки для MEncoder: MEninX, gui4menc0, MEncoder264, MeWiG, X-Mencoder, другие (см. также здесь и здесь). Сам MEncoder как правило распространяется вместе с ними.
 
Дополнительные шрифты для OSD.
 
Скрипт по "нарезке" фрагментов фильмов при помощи mencoder-а и ffmpeg-а для *nix систем
Внимание! Не рекомендуется пользоваться русской версией оф. сайта, т.к. она уже сильно устарела.



Доступен выпуск открытого видеоплеера MPV, несколько лет назад ответвившегося от кодовой базы проекта MPlayer2. В MPV основное внимание уделяется разработке новых возможностей и обеспечению постоянного бэкпортирования новшеств из репозиториев MPlayer, не заботясь о сохранении совместимости с MPlayer. Код MPV распространяется под лицензией LGPLv2.1+, некоторые части остаются под GPLv2, но процесс перехода на LGPL почти завершён и для отключения остающегося GPL-кода можно использовать опцию "--enable-lgpl".
Сайт: https://mpv.io/
Скачать: https://mpv.io/installation/
GUI для MPV: MPV-EASY | SMPlayer | mpv.net
Актуальные билды под Windows: https://sourceforge.net/projects/mpv-player-windows/files/

Голосование "Лучший плеер для видео 2018"

Всего записей: 360 | Зарегистр. 29-10-2001 | Отправлено: 12:54 25-06-2003 | Исправлено: Maz, 15:57 22-11-2019
BakLAN



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RussianNeuroMancer

Цитата:
http://help.ubuntu.ru/wiki/аппаратная_поддержка_hd_видео#аппаратное_декодирование_видео_средствами_видеокарт_amd_va-api

Я по этой инструкции как раз и всё и делал (первый вариант, который без компиляции). В результате MPlayer крашится и ничего не играет. Установил драйвер, далее пакет mplayer-vaapi. И ничего не играет.

Всего записей: 2842 | Зарегистр. 15-12-2003 | Отправлено: 15:21 30-08-2011
RussianNeuroMancer



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
BakLAN
Catalyst 11.8?
Пакет с xvba поставили исправленный из PPA?
vainfo отрабатывает без ошибок?

----------
Kubuntu - официальный сайт, форум, русскоязычный сайт.

Всего записей: 9403 | Зарегистр. 30-04-2005 | Отправлено: 12:02 31-08-2011
BakLAN



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RussianNeuroMancer

Цитата:
Catalyst 11.8?



Цитата:
Пакет с xvba поставили исправленный из PPA?


Точно всё, как по вашей ссылке. Я всё делал, как там написано.

Цитата:
vainfo отрабатывает без ошибок?

Это чё? Там (в статье) ничё про это нету...
 
Единственный вопрос, который у меня возник, это когда надо было ставить пакет mplayer-vaapi, dpkg мне сказал, что у него несколько зависимостей, т. е. пакетов, который он требует для работы. А поскольку я в Линухе нуб, у меня возник стопор, который я, не уверен, что правильно, решил следующим образом: все пакеты, на который указал dpkg, я проинсталил через sudo apt-get install, т. е. из репозитория. Может, поэтому какой конфликт возник потому что они несовместимы с пакетом mplayer-vaapi ?

Всего записей: 2842 | Зарегистр. 15-12-2003 | Отправлено: 21:04 31-08-2011
RussianNeuroMancer



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
BakLAN
Цитата:
Это чё?
Утилита для проверки статуса VA-API.
Цитата:
Единственный вопрос, который у меня возник, это когда надо было ставить пакет mplayer-vaapi
Он инсталлируется просто кликом по deb-пакету - зависимости установились бы автоматически. Без VA-API, как я понимаю, проблем с воспроизведением нет?

----------
Kubuntu - официальный сайт, форум, русскоязычный сайт.

Всего записей: 9403 | Зарегистр. 30-04-2005 | Отправлено: 21:35 31-08-2011
BakLAN



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RussianNeuroMancer

Цитата:
Утилита для проверки статуса VA-API.

Не пробовал. Попробую в следующий раз, когда установлю Линух, а то я его снёс после того, как compiz мне проблем наделал.

Цитата:
Он инсталлируется просто кликом по deb-пакету - зависимости установились бы автоматически.

Разве они могут установиться, если этот пакет не из репозитория? Он ведь вручную скачан был.

Цитата:
Без VA-API, как я понимаю, проблем с воспроизведением нет?

До того, как я начал эты "танцы", MPlayer воспроизводил видео без проблем. Только не помню выдавал ли он и раньше что-то, что какие-то проблемы с Lirc у него...

Всего записей: 2842 | Зарегистр. 15-12-2003 | Отправлено: 22:18 31-08-2011
RussianNeuroMancer



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
Разве они могут установиться, если этот пакет не из репозитория?
Eсли все они доступны в стандартном репозитории (а они доступны) то - да.

----------
Kubuntu - официальный сайт, форум, русскоязычный сайт.

Всего записей: 9403 | Зарегистр. 30-04-2005 | Отправлено: 04:49 01-09-2011
BakLAN



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RussianNeuroMancer

Цитата:
Eсли все они доступны в стандартном репозитории (а они доступны) то - да.

Ну, я ведь их всё-равно установил через apt-get install, так что результат одинаков. А плеер не воспроизводит. На днях поставлю по новой и уже смогу выложить подробный вывод MPlayer`а.

Всего записей: 2842 | Зарегистр. 15-12-2003 | Отправлено: 00:42 02-09-2011
RussianNeuroMancer



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
BakLAN
Проблема вряд ли в плеере - он (данная конкретная версия с добавленной поддержкой VA-API) использует стандартные вызовы VA-API, одинаковые что для XvBA от AMD (xvba-va-driver), что для VDPAU от nVidia (vdpau-va-driver ). Проблема либо в бакэнде (в данном случае XvBA), либо в драйвере. Может быть vainfo и лог плеера помогут прояснить ситуацию, а может и нет.

----------
Kubuntu - официальный сайт, форум, русскоязычный сайт.

Всего записей: 9403 | Зарегистр. 30-04-2005 | Отправлено: 20:59 03-09-2011
SamLab



Gold Member
Редактировать | Профиль | Сообщение | ICQ | Цитировать | Сообщить модератору
MPlayer SVN 34053 от Dirk Paehl
http://www.shragle.com/folder/a6c95b48
Включает x264/XviD и оптимизации по скорости

----------
SamLab.ws - Программы и русификаторы + SamForum.org - Софтовый форум + Мой твиттер

Всего записей: 6547 | Зарегистр. 15-07-2004 | Отправлено: 23:30 04-09-2011
BakLAN



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RussianNeuroMancer

Цитата:
Проблема вряд ли в плеере - он (данная конкретная версия с добавленной поддержкой VA-API) использует стандартные вызовы VA-API, одинаковые что для XvBA от AMD (xvba-va-driver), что для VDPAU от nVidia (vdpau-va-driver ). Проблема либо в бакэнде (в данном случае XvBA), либо в драйвере. Может быть vainfo и лог плеера помогут прояснить ситуацию, а может и нет.

Ясно. Будем ковырять. Чайникую в Линухе понемножку...

Всего записей: 2842 | Зарегистр. 15-12-2003 | Отправлено: 00:34 05-09-2011
BakLAN



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RussianNeuroMancer

Цитата:
Он инсталлируется просто кликом по deb-пакету - зависимости установились бы автоматически.

К стати нет. Выкинуло сообщение чтобы ввёл: sudo apt-get install -f. После этого пакеты зависимостей установились.
 
vainfo:

Код:
 
eugene@eugene-PC:~/Завантаження/MPlayer$ vainfo
libva: libva version 0.31.1
Xlib:  extension "XFree86-DRI" missing on display ":0.0".
libva: va_getDriverName() returns 0
libva: Trying to open /usr/lib/dri/fglrx_drv_video.so
libva: va_openDriver() returns 0
vainfo: VA API version: 0.31
vainfo: Driver version: Splitted-Desktop Systems XvBA backend for VA-API - 0.7.8
vainfo: Supported profile and entrypoints
      VAProfileH264High               : VAEntrypointVLD
      VAProfileVC1Advanced            : VAEntrypointVLD
 

 
Не хватает какой-то хрени, как я вижу, Xlib. Здесь: http://help.ubuntu.ru/wiki/аппаратная_поддержка_hd_видео#аппаратное_декодирование_видео_средствами_видеокарт_amd_va-api ничего про этот Xlib не сказано.
Соответственно MPlayer тоже матюкается, что ему нужна эта хрень.
 
Что это за хрень: Xlib:  extension "XFree86-DRI" missing on display ":0". ? И почему её нет у меня на компе, если я ставил родные дрова AMD c сайта производителя по инструкции с того же сайта?
 
Почему эти инструкции касающиеся Линух никогда не работают...
 
P.S. Линух сцуко...

Всего записей: 2842 | Зарегистр. 15-12-2003 | Отправлено: 22:06 19-09-2011 | Исправлено: BakLAN, 22:35 19-09-2011
DimitriusXZ

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Подскажите самый лучший GUI для mencoder.
И где его лучше скачать.

Всего записей: 656 | Зарегистр. 17-01-2010 | Отправлено: 22:52 27-09-2011
RussianNeuroMancer



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
BakLAN
Цитата:
libva: Trying to open /usr/lib/dri/fglrx_drv_video.so
Есть такой файл?
Цитата:
Почему эти инструкции касающиеся Линух никогда не работают...
Потому что AMD решили смастерить свой велосипед (XvBA), вместо того, чтобы использовать VA-API напрямую. Они, кстати, обещали реализовать поддержку VA-API без XvBA, но случится ли это в 2011 году - не известно.
Цитата:
Линух сцуко...  
Пожелания по драйверу AMD следует направлять команде его разработчиков: http://www.amd.com/us/LinuxCrewSurvey

----------
Kubuntu - официальный сайт, форум, русскоязычный сайт.

Всего записей: 9403 | Зарегистр. 30-04-2005 | Отправлено: 06:30 28-09-2011
BakLAN



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RussianNeuroMancer

Цитата:
Есть такой файл?

Смотрел. Есть такой файл. Подробнее... Файл есть, а оно, зараза, его не видит что-ли... Может, с правами на файл что-то?
Меня вот эта хрень сразу обратила на себя внимание:

Цитата:
Xlib:  extension "XFree86-DRI" missing on display ":0.0".

Я взял и установил её через apt-get install XFree86-DRI. После этого вывод стал другим:

Код:
 
eugene@eugene-PC:~/Завантаження$ vainfo
libva: libva version 0.31.1
libva: User requested driver 'fglrx'
libva: Trying to open /usr/lib/dri/fglrx_drv_video.so
libva: va_openDriver() returns 0
vainfo: VA API version: 0.31
vainfo: Driver version: Splitted-Desktop Systems XvBA backend for VA-API - 0.7.8
vainfo: Supported profile and entrypoints
      VAProfileH264High               : VAEntrypointVLD
      VAProfileVC1Advanced            : VAEntrypointVLD
 

Насколько я понял вот здесь libva: va_openDriver() returns 0 вместо "0" должно быть "1" ? Получается, что оно почему-то не может открыть fglrx_drv_video.so (?)
 

Цитата:
Потому что AMD решили смастерить свой велосипед (XvBA), вместо того, чтобы использовать VA-API напрямую.

Я так понимаю, что они сделали эту приблуду намного позднее, чем nVidia придумала VDPAU ?

Цитата:
Пожелания по драйверу AMD следует направлять команде его разработчиков: http://www.amd.com/us/LinuxCrewSurvey

А они меня так и послушают

Всего записей: 2842 | Зарегистр. 15-12-2003 | Отправлено: 15:57 28-09-2011 | Исправлено: BakLAN, 16:20 28-09-2011
V1tol

Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
libva: va_openDriver() returns 0

Обычно это означает, что ошибки нет. Во многих языках программирования так сделано.
Это

Цитата:
vainfo: Supported profile and entrypoints
      VAProfileH264High               : VAEntrypointVLD
      VAProfileVC1Advanced            : VAEntrypointVLD  

подтверждает тот факт, что драйвер опознан и доступно ускорение H264/AVC и VC1

Всего записей: 222 | Зарегистр. 07-02-2010 | Отправлено: 17:03 28-09-2011
BakLAN



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
V1tol

Цитата:
Обычно это означает, что ошибки нет. Во многих языках программирования так сделано.

Понял.
В прошлый раз показывало ошибку пока не доустановил приблуду XFree86-DRI. Что оно такое кто-нибудь в курсе?

Цитата:
подтверждает тот факт, что драйвер опознан и доступно ускорение H264/AVC и VC1

Да, вроде как опознало и вроде как доступно ускорение, но теперь MPlayer хоть и запускается, но вешает всю систему. Помогает только RESET. Еле успел нажать Esc, чтобы сохранить вывод
 
К тому же сразу же при запуске появляется нормальное изображение в окне воспроизведения, но только на миг - через секунду-две оно превращается в следующее уродство:

 
К стати, почему-то ни codecs.conf, ни input.conf не присутствуют. Разве они не должны по-умолчанию присутствовать в пакете вместе с плеером?

Всего записей: 2842 | Зарегистр. 15-12-2003 | Отправлено: 20:33 28-09-2011 | Исправлено: BakLAN, 20:43 28-09-2011
RussianNeuroMancer



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
BakLAN
Цитата:
А они меня так и послушают
Одного человека они не послушают, это верно. Однако, если пишут десятки-сотни - прислушиваются.
Цитата:
Разве они не должны по-умолчанию присутствовать в пакете вместе с плеером?
Вроде бы нет, а зачем?
Цитата:
К тому же сразу же при запуске появляется нормальное изображение в окне воспроизведения, но только на миг - через секунду-две оно превращается в следующее уродство
Вы могли бы поставить последний VLC из какого-нибудь PPA (у меня под рукой сейчас их нет, но должны легко нагугливаться) и проверить, воспроизводится ли проблема с ним? Аппаратное декодирование там включается где-то в районе настроек кажется кодеков, одной галкой. Нужно понять, в плеере проблема, или в драйвере.

----------
Kubuntu - официальный сайт, форум, русскоязычный сайт.

Всего записей: 9403 | Зарегистр. 30-04-2005 | Отправлено: 19:06 02-10-2011
BakLAN



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
Вы могли бы поставить последний VLC из какого-нибудь PPA (у меня под рукой сейчас их нет, но должны легко нагугливаться) и проверить, воспроизводится ли проблема с ним? Аппаратное декодирование там включается где-то в районе настроек кажется кодеков, одной галкой. Нужно понять, в плеере проблема, или в драйвере.

Я понял. Но почему обязательно из PPA, оригинальный с сайта что, не умеет аппаратное декодирование?

Всего записей: 2842 | Зарегистр. 15-12-2003 | Отправлено: 22:19 02-10-2011
RussianNeuroMancer



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
BakLAN
Не важно откуда, главное чтобы версия была последняя (1.1.11). В каких-то из чуть более ранних дела с поддержкой VA-API были не фонтан (кажется, ещё в 1.1.10 были сегфолты при попытке задействовать аппаратное декодирование), а вот в последней всё уже довольно неплоохо работает. Сам на двух машинах с видеокартами AMD перешёл с SMPlayer&mplayer-vaapi на VLC (ставил из ppa:n-muench/vlc). Если проблема не в драйвере, то проблем возникнуть не должно. В противном случае нужно будет писать в AMD.

----------
Kubuntu - официальный сайт, форум, русскоязычный сайт.

Всего записей: 9403 | Зарегистр. 30-04-2005 | Отправлено: 16:58 03-10-2011
BakLAN



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RussianNeuroMancer
Понял.
 
Поставил VLC 1.1.11 из ppa:n-muench/vlc. В настройках зашёл в раздел "Вход и кодеки" и поставил галку напротив: "Использовать ускорение GPU (экспериментально)".
 
Насколько я понял, больше ничего настраивать не надо для включение аппаратного декодирования?
 
В общем, появилась картинка и вся система повисла намертво.
 
К стати xvba-va-driver (ppa:rexbron/bugfixes) и xvba-video_0.8.0-1_i386.deb (http://www.splitted-desktop.com/~gbeauchesne/xvba-video/) это одно и то же или нет?
 
Я просто попробовал: удалил первый и установил второй, после чего VLC начал воспроизводить видео без проблем. А в медиаинформации указывается, что используется кодек H264 - MPEG-4 AVC (part 10) (avc 1). Галка напротив "Использовать ускорение GPU (экспериментально)" стоит. Значит ли это, что плеер использует аппаратное декодирвоание?
 
А вот vainfo показывает отсутствие драйвера:

Цитата:
 
libva: libva version 0.32.0
libva: User requested driver 'fglrx'
libva: Trying to open /usr/lib/dri/fglrx_drv_video.so
libva: va_openDriver() returns -1
vaInitialize failed with error code -1 (unknown libva error),exit
 

 
P.S. Короче в Линуксе я ни фига не шарю.

Всего записей: 2842 | Зарегистр. 15-12-2003 | Отправлено: 21:55 03-10-2011 | Исправлено: BakLAN, 21:58 03-10-2011
Открыть новую тему     Написать ответ в эту тему

Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76

Компьютерный форум Ru.Board » Компьютеры » Программы » MPlayer | MPlayer2 | MPV | MEncoder


Реклама на форуме Ru.Board.

Powered by Ikonboard "v2.1.7b" © 2000 Ikonboard.com
Modified by Ru.Board
© Ru.Board 2000-2020

BitCoin: 1NGG1chHtUvrtEqjeerQCKDMUi6S6CG4iC

Рейтинг.ru